#include "KMBuilderApi.h"

KMBuilderManifest KMBuilderApi::loadFromYaml(const QString &path)
{
    KMBuilderManifest manifest;
    manifest.loadFromYaml(path);
    return manifest;
}

QVector<KMRef> KMBuilderApi::filter(const QVector<KMRef> refs, const QString &id)
{
    if (id.isEmpty())
    {
        return refs;
    }
    QVector<KMRef> refs_result;
    QStringList ids = id.split(",");
    for (auto item: ids)
    {
        item = item.trimmed();
        if (item.isEmpty())
        {
            continue;
        }
        QVector<KMRef> refs_filtered;
        for (auto &ref: refs)
        {
            if (ref.m_id.contains(item))
            {
                refs_filtered.push_back(ref);
            }
        }
        KMBuilderStringUtils::appendVector(refs_result, refs_filtered);
    }
    return refs_result;
}
